We're sorry Aspose doesn't work properply without JavaScript enabled.

Free Support Forum - aspose.com

Need to upgrade version for .NET upgrade

Hello,

We decided to not upgrade our Aspose.Total license for .NET (our license is from September 2020) as we were told that our license will continue to work normally.

However, we are in the process of upgrading all our .NET Projects from .NET 5.0 to .NET 6.0, because .NET 5.0 support will end on May 8th, 2021 per Microsoft

When we try to upgrade our .NET project that has the Aspose dlls, it cannot because apparently the Aspose version that we have throws a SetLicense exception per the article here

This is a really weird issue, as we feel we should not be required to pay for an Aspose upgrade because Aspose did not prepare for the .NET upgrade.

Can you let us know what a reasonable solution for this will be?

Thanks,
Seny

@MarcomUSER1

The .NET 6.0 was released in November 2021 and its support is not available in the Aspose APIs released before this date. However, we started adding .NET 6.0 support in the APIs after its release and latest versions of the API have .NET 6.0 compatibility. The solution to your problem would be to upgrade your license so that you will be able to upgrade your all .NET Project from .NET 5.0 to .NET 6.0. In case you have further inquiry, please feel free to let us know.